<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
                <a [routerLink]="['/side-menu',{outlets:{sidebar:'rewards'}}]">Rewards ></a>
            </li>
            <li class="">
                view Bike Rewards
            </li>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        View Bike Rewards
                    </div>
                    <div class="card-body">
                        <table class="table table-striped table-bordered">
                            <thead>
                              <tr>
                                <th scope="col">Sl.No</th>
                                <th scope="col">Rewards details</th>
                                <th scope="col">Annual Claim</th>
                                <th scope="col">Points</th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr *ngFor = "let bikeR of bikeRewardsArray | paginate: { itemsPerPage: 10, currentPage: p }; let i = index">
                                <th *ngIf="p>1">{{((p-1)*10)+(i+1)}}</th>
                                <th *ngIf="p===1">{{i+1}}</th>
                                <td>{{bikeR.reward_details}}</td>
                                <td>{{bikeR.annual_claim}}</td>
                                <td>{{bikeR.points_required}}</td>
                              </tr>
                              
                            </tbody>
                          </table>
                          <div class="text-center" >
                            <pagination-controls (pageChange)="p = $event"></pagination-controls>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>